
%\usetheme{zhaw}

\usepackage{../Auxiliary-latex-files/beamerthemezhaw}

\usepackage{nameref}
\usepackage{amssymb}
\usepackage{amsmath}
%
\usepackage[utf8]{inputenc}
\usepackage[T1]{fontenc}

\usepackage{tikzsymbols}
\usepackage{tabularx,colortbl}
\usepackage{xcolor}
\usepackage{listings}
\usepackage{upquote}
\usepackage{url}
\usepackage{etoolbox}
\usepackage{graphicx}
\usepackage{synttree}

\theoremstyle{Definition}
\newtheorem{df}{Definition}
\newtheorem{rk}{Bemerkung}
\theoremstyle{remark}
\newtheorem{ex}{Aufgabe}
\newtheorem{bsp}{Beispiel}

\newcommand{\rs}{\upharpoonright}
\newcommand{\N}{\mathbb{N}}


\input{../Auxiliary-latex-files/listing.tex}

\setbeamertemplate{footline}[frame number]

\newenvironment{repl}{\begin{lstlisting}[frame=leftline,
backgroundcolor=\color{lightgray}]}{\end{lstlisting}}

\newenvironment{fr}[1][]{\begin{frame}[environment=fr,#1]{\insertsectionhead}{\insertsubsectionhead}}{\end{frame}}
